<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Context Menu of the Design View
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="General-Object-Editing_7440089.html">General Object Editing</a></span>
              </li>
              <li>
                <span><a href="XML-Editor_7439318.html">XML Editor</a></span>
              </li>
              <li>
                <span><a href="Editor-Field_7439334.html">Editor Field</a></span>
              </li>
              <li>
                <span><a href="Design-View_7439336.html">Design View</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Context Menu of the Design View</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Celia Krause</span>, last modified by <span class="editor">Oliver Schmid</span> on Jun 18, 2012
          </div>
          <div id="main-content" class="wiki-content group">
            <p>
              The context menu of the Design View allows the user to use most of the view’s features via right-click.
            </p>
            <ul class="itemize1">
              <li class="itemize">To delete an XML Object, right-click it and select “Delete”.
              </li>
              <li class="itemize">To insert a DOCTYPE declaration in your document, right-click at any position in the editing view and select “Add DTD Information...”.
              </li>
              <li class="itemize">To add new or edit existing namespaces in the document, right-click at any position in the editing view and select “Edit Namespaces...”.
              </li>
              <li class="itemize">Processing instructions can be edited in a pop-up window after “Add Processing Instruction” has been selected.
              </li>
              <li class="itemize">To add an element at a certain position relative to an element in the document, right-click it and choose one of the elements proposed. When selecting “Add Child”, “Add Before” or “Add After”, you can add the following elements:<br/>
                <ul class="itemize2">
                  <li class="itemize">a comment
                  </li>
                  <li class="itemize">a processing instruction
                  </li>
                  <li class="itemize">PCDATA <img class="confluence-embedded-image" src="attachments/8129677/8192262.gif" data-image-src="attachments/8129677/8192262.gif" title="file_obj.gif"/>
                  </li>
                  <li class="itemize">a CDATA section
                  </li>
                  <li class="itemize">a new element <img class="confluence-embedded-image" src="attachments/8129677/8192261.gif" data-image-src="attachments/8129677/8192261.gif" title="element.gif"/>
                  </li>
                </ul>
              </li>
              <li class="itemize">You can add attributes to an element by right-clicking it and selecting from the list proposed after selecting “Add Attribute”  .
              </li>
              <li class="itemize">To edit attributes, right-click the attribute in the Design View and select “Edit Attribute...”.
              </li>
            </ul>
            <p class="noindent">
              The lists of proposed elements and attributes are provided by Content Assist. Proposals come from a referenced content model if a schema is specified for the document, or through the XML catalog if a schema is not specified. This will give you “smarter” proposals, such as specific child element proposals within a given element, or required attribute proposals.
            </p>
          </div>
          
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
